package ru.yandex.autotests.directapi.darkside.datacontainers.http.request;

import java.util.HashMap;

/**
 * Created by omaz on 19.03.14.
 */
public class CampaignsForMetricaRequest extends HashMap<String, String> {
    static final String UID = "uid";
    static final String EMPTY_DOMAIN_IS_OK = "empty_domain_is_ok";

    public CampaignsForMetricaRequest withUid(Integer uid) {
        put(UID, String.valueOf(uid));
        return this;
    }

    public CampaignsForMetricaRequest withUid(String uid) {
        put(UID, String.valueOf(uid));
        return this;
    }

    public CampaignsForMetricaRequest withEmptyDomainIsOk(boolean emptyDomainIsOk) {
        put(EMPTY_DOMAIN_IS_OK, (emptyDomainIsOk) ? ("1") : ("0"));
        return this;
    }
}
